using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability1826.Domain;

namespace Topsdk.Top.Ability1826.Response;

public class TaobaoTbkDgVegasTljStopResponse : AbstractTopApiResponse
{

    /*
        model
            */
    private TaobaoTbkDgVegasTljStopUpdateStatusResult? model;


    /*
        msgInfo
            */
    private string? msgInfo;


    /*
        msgCode
            */
    private string? msgCode;


    /*
        调用接口是否成功
            */
    private bool? resultSuccess;


    [JsonPropertyName("model")]
    public TaobaoTbkDgVegasTljStopUpdateStatusResult? Model
    {
        get => model;
        set => this.model = value;
    }

    [JsonPropertyName("msg_info")]
    public string? MsgInfo
    {
        get => msgInfo;
        set => this.msgInfo = value;
    }

    [JsonPropertyName("msg_code")]
    public string? MsgCode
    {
        get => msgCode;
        set => this.msgCode = value;
    }

    [JsonPropertyName("result_success")]
    public bool? ResultSuccess
    {
        get => resultSuccess;
        set => this.resultSuccess = value;
    }

}

